- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.NotificationEndpoint.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.NotificationEndpoint.SCHEMA_REPRESENTATION.grpc_settings.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionNotificationEndpoints/get#try-it)

Returns the specified NotificationEndpoint resource in the given region.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region scoping this request. |
| `notificationEndpoint` | `string` Name of the NotificationEndpoint resource to return. |

### Request body

The request body must be empty.

### Response body

Represents a notification endpoint.

A notification endpoint resource defines an endpoint to receive notifications when there are status changes detected by the associated health check service.

For more information, see [Health checks overview](https://docs.cloud.google.com/load-balancing/docs/health-check-concepts).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "grpcSettings": { "endpoint": string, "retryDurationSec": integer, "payloadName": string, "authority": string, "resendInterval": { "seconds": string, "nanos": integer } } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#notificationEndpoint` for notification endpoints. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. A unique identifier for this resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `region` | `string` Output only. URL of the region where the notification endpoint resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `grpcSettings` | `object` Settings of the gRPC notification endpoint including the endpoint URL and the retry duration. |
| `grpcSettings.endpoint` | `string` Endpoint to which gRPC notifications are sent. This must be a valid gRPCLB DNS name. |
| `grpcSettings.retryDurationSec` | `integer (https://developers.google.com/discovery/v1/type-format format)` How much time (in seconds) is spent attempting notification retries until a successful response is received. Default is 30s. Limit is 20m (1200s). Must be a positive number. |
| `grpcSettings.payloadName` | `string` Optional. If specified, this field is used to populate the "name" field in gRPC requests. |
| `grpcSettings.authority` | `string` Optional. If specified, this field is used to set the authority header by the sender of notifications. See <https://tools.ietf.org/html/rfc7540#section-8.1.2.3> |
| `grpcSettings.resendInterval` | `object` Optional. This field is used to configure how often to send a full update of all non-healthy backends. If unspecified, full updates are not sent. If specified, must be in the range between 600 seconds to 3600 seconds. Nanos are disallowed. Can only be set for regional notification endpoints. |
| `grpcSettings.resendInterval.seconds` | `string (https://developers.google.com/discovery/v1/type-format format)` Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min \* 60 min/hr \* 24 hr/day \* 365.25 days/year \* 10000 years |
| `grpcSettings.resendInterval.nanos` | `integer` Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionNotificationEndpoints.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).